RTEMS: SIU_tag::SIU_IREER_tag Union Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
SIU_tag::SIU_IREER_tag Union Reference

## Data Fields
uint32_t | R
struct {
uint32_t NREE0:1
uint32_t NREE1:1
uint32_t __pad0__:14
uint32_t IREE15:1
uint32_t IREE14:1
uint32_t IREE13:1
uint32_t IREE12:1
uint32_t IREE11:1
uint32_t IREE10:1
uint32_t IREE9:1
uint32_t IREE8:1
uint32_t IREE7:1
uint32_t IREE6:1
uint32_t IREE5:1
uint32_t IREE4:1
uint32_t IREE3:1
uint32_t IREE2:1
uint32_t IREE1:1
uint32_t IREE0:1
} | B
struct {
uint32_t __pad0__:16
uint32_t IREE15:1
uint32_t IREE14:1
uint32_t IREE13:1
uint32_t IREE12:1
uint32_t IREE11:1
uint32_t IREE10:1
uint32_t IREE9:1
uint32_t IREE8:1
uint32_t IREE7:1
uint32_t IREE6:1
uint32_t IREE5:1
uint32_t IREE4:1
uint32_t IREE3:1
uint32_t IREE2:1
uint32_t IREE1:1
uint32_t IREE0:1
} | B
struct {
uint32_t __pad0__:16
uint32_t IREE15:1
uint32_t IREE14:1
uint32_t IREE13:1
uint32_t IREE12:1
uint32_t IREE11:1
uint32_t IREE10:1
uint32_t IREE9:1
uint32_t IREE8:1
uint32_t IREE7:1
uint32_t IREE6:1
uint32_t IREE5:1
uint32_t IREE4:1
uint32_t IREE3:1
uint32_t IREE2:1
uint32_t IREE1:1
uint32_t IREE0:1
} | B
struct {
uint32_t NREE0:1
uint32_t NREE1:1
uint32_t __pad0__:14
uint32_t IREE15:1
uint32_t IREE14:1
uint32_t IREE13:1
uint32_t IREE12:1
uint32_t IREE11:1
uint32_t IREE10:1
uint32_t IREE9:1
uint32_t IREE8:1
uint32_t IREE7:1
uint32_t IREE6:1
uint32_t IREE5:1
uint32_t IREE4:1
uint32_t IREE3:1
uint32_t IREE2:1
uint32_t IREE1:1
uint32_t IREE0:1
} | B
struct {
uint32_t IREE_NMI8:1
uint32_t __pad0__:7
uint32_t IREE_NMI0:1
uint32_t __pad1__:7
uint32_t IREE15:1
uint32_t IREE14:1
uint32_t IREE13:1
uint32_t IREE12:1
uint32_t IREE11:1
uint32_t IREE10:1
uint32_t IREE9:1
uint32_t IREE8:1
uint32_t IREE7:1
uint32_t IREE6:1
uint32_t IREE5:1
uint32_t IREE4:1
uint32_t IREE3:1
uint32_t IREE2:1
uint32_t IREE1:1
uint32_t IREE0:1
} | B

The documentation for this union was generated from the following files:

- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc551x.h
- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc555x.h
- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc556x.h
- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc5668.h
- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc567x.h